Bug 1285059 - [abrt] xfce4-sensors-plugin: g_slice_free1(): xfce4-sensors-plugin killed by SIGSEGV
[abrt] xfce4-sensors-plugin: g_slice_free1(): xfce4-sensors-plugin killed by ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-sensors-plugin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:33ab393b970a58a010546d4498e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 13:56 EST by Giulio 'juliuxpigface'
Modified: 2016-11-26 17:52 EST (History)
2 users (show)

See Also:
Fixed In Version: xfce4-sensors-plugin-1.2.6-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-26 17:52:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.63 KB, text/plain)
2015-11-24 13:56 EST, Giulio 'juliuxpigface'
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-24 13:56 EST, Giulio 'juliuxpigface'
no flags Details
File: core_backtrace (15.00 KB, text/plain)
2015-11-24 13:56 EST, Giulio 'juliuxpigface'
no flags Details
File: dso_list (7.66 KB, text/plain)
2015-11-24 13:56 EST, Giulio 'juliuxpigface'
no flags Details
File: environ (1.54 KB, text/plain)
2015-11-24 13:56 EST, Giulio 'juliuxpigface'
no flags Details
File: exploitable (93 bytes, text/plain)
2015-11-24 13:56 EST, Giulio 'juliuxpigface'
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-24 13:56 EST, Giulio 'juliuxpigface'
no flags Details
File: maps (33.42 KB, text/plain)
2015-11-24 13:57 EST, Giulio 'juliuxpigface'
no flags Details
File: mountinfo (3.24 KB, text/plain)
2015-11-24 13:57 EST, Giulio 'juliuxpigface'
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-24 13:57 EST, Giulio 'juliuxpigface'
no flags Details
File: open_fds (276 bytes, text/plain)
2015-11-24 13:57 EST, Giulio 'juliuxpigface'
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-11-24 13:57 EST, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2015-11-24 13:56:16 EST
Description of problem:
xfce4-sensors-plugin crashes before the shutdown.

How reproducible:
Always

Steps to reproduce:
1. Open an Xfce session via gdm (but it happens with lxdm too)
2. Power off or reboot

Actual results:
xfce4-sensors-plugin crashes and abrt catches the failure

Expected results:
xfce4-sensors-plugin should not crash

Version-Release number of selected component:
xfce4-sensors-plugin-1.2.5-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin '' 9 8388648 xfce4-sensors-plugin 'Plugin per i sensori' 'Mostra i valori di un sensore' ''
crash_function: g_slice_free1
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin
global_pid:     2029
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 g_slice_free1 at gslice.c:1112
 #5 g_type_free_instance at gtype.c:1951
 #6 gtk_rc_style_finalize at gtkrc.c:1206
 #8 g_datalist_clear at gdataset.c:273
 #10 gtk_box_forall at gtkbox.c:1251
 #11 gtk_container_destroy at gtkcontainer.c:1073
 #16 gtk_object_dispose at gtkobject.c:421
 #18 gtk_box_forall at gtkbox.c:1251
 #19 gtk_container_destroy at gtkcontainer.c:1073
 #24 gtk_object_dispose at gtkobject.c:421
Comment 1 Giulio 'juliuxpigface' 2015-11-24 13:56:40 EST
Created attachment 1098302 [details]
File: backtrace
Comment 2 Giulio 'juliuxpigface' 2015-11-24 13:56:42 EST
Created attachment 1098303 [details]
File: cgroup
Comment 3 Giulio 'juliuxpigface' 2015-11-24 13:56:49 EST
Created attachment 1098304 [details]
File: core_backtrace
Comment 4 Giulio 'juliuxpigface' 2015-11-24 13:56:53 EST
Created attachment 1098305 [details]
File: dso_list
Comment 5 Giulio 'juliuxpigface' 2015-11-24 13:56:55 EST
Created attachment 1098306 [details]
File: environ
Comment 6 Giulio 'juliuxpigface' 2015-11-24 13:56:58 EST
Created attachment 1098307 [details]
File: exploitable
Comment 7 Giulio 'juliuxpigface' 2015-11-24 13:56:59 EST
Created attachment 1098308 [details]
File: limits
Comment 8 Giulio 'juliuxpigface' 2015-11-24 13:57:09 EST
Created attachment 1098309 [details]
File: maps
Comment 9 Giulio 'juliuxpigface' 2015-11-24 13:57:12 EST
Created attachment 1098310 [details]
File: mountinfo
Comment 10 Giulio 'juliuxpigface' 2015-11-24 13:57:15 EST
Created attachment 1098311 [details]
File: namespaces
Comment 11 Giulio 'juliuxpigface' 2015-11-24 13:57:18 EST
Created attachment 1098312 [details]
File: open_fds
Comment 12 Giulio 'juliuxpigface' 2015-11-24 13:57:21 EST
Created attachment 1098313 [details]
File: proc_pid_status
Comment 13 Fedora Update System 2016-11-12 18:35:34 EST
xfce4-sensors-plugin-1.2.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-178d836803
Comment 14 Fedora Update System 2016-11-13 13:21:03 EST
xfce4-sensors-plugin-1.2.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-178d836803
Comment 15 Fedora End Of Life 2016-11-24 08:42:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora Update System 2016-11-26 17:52:42 EST
xfce4-sensors-plugin-1.2.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.